TenantSettings
Endpoints for TenantSettings
ReferenceView as Markdown
Endpoints for TenantSettings
GET/api/v1/tenant-settings
Authentication: Bearer token (JWT)
kilkayaEnabledbooleanRequiredkilkayaHoststringRequiredkilkayaCustomerIdstringRequireddiscardTopicsInPushNotificationsbooleanRequiredaiResidencyobjectRequiredisOnboardingbooleanRequiredunauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorstenantSettingsNotFound
messageCodestringRequired"tenantSettingsNotFound"messagestringerrorsarray of FieldErrorRequiredcurlcurl https://api.subrite.no/api/v1/tenant-settings \
--header 'Authorization: Bearer <token>'PUT/api/v1/tenant-settings
Authentication: Bearer token (JWT)
application/jsonkilkayaEnabledbooleanOptionalkilkayaHoststringOptionalpattern: /^[a-z0-9][a-z0-9.-]*\.[a-z]{2,}$/iwentLiveAtstring (date-time)RequiredemailOtpEnabledbooleanRequiredsmsOtpEnabledbooleanRequiredsmsOtpFallbackEnabledbooleanRequiredprimaryOtpChannelstringRequired"email", "sms"diEnabledbooleanRequireddiCustomerSystemstringRequiredtenantIdnumberRequiredtenantTenantRequiredNested fields omitted: field limit.idnumberRequiredcreatedAtstring (date-time)RequiredupdatedAtstring (date-time)RequireddeletedAtstring (date-time)RequiredmetaDataobjectRequired{
"kilkayaEnabled": true,
"kilkayaHost": "string",
"kilkayaCustomerId": "string",
"discardTopicsInPushNotifications": true,
"aiResidency": {},
"isOnboarding": true,
"wentLiveAt": "2019-08-24T14:15:22Z",
"emailOtpEnabled": true,
"smsOtpEnabled": true,
"smsOtpFallbackEnabled": true,
"primaryOtpChannel": "email",
"diEnabled": true,
"diCustomerSystem": "string",
"tenantId": 0,
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}fieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}errorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "tenantSettingsNotFound",
"message": "string",
"errors": [
{}
]
}kilkayaCustomerIdstringOptionalpattern: /^[a-f0-9]{24}$/discardTopicsInPushNotificationsbooleanOptionaldiEnabledbooleanOptionaldiCustomerSystemstringOptionalpattern: /^[A-Za-z0-9]{1,5}$/{
"kilkayaEnabled": true,
"kilkayaHost": "string",
"kilkayaCustomerId": "string",
"discardTopicsInPushNotifications": true,
"diEnabled": true,
"diCustomerSystem": "ABC"
}Same fields as Get the current tenant settings (200).
{
"kilkayaEnabled": true,
"kilkayaHost": "string",
"kilkayaCustomerId": "string",
"discardTopicsInPushNotifications": true,
"aiResidency": {},
"isOnboarding": true,
"wentLiveAt": "2019-08-24T14:15:22Z",
"emailOtpEnabled": true,
"smsOtpEnabled": true,
"smsOtpFallbackEnabled": true,
"primaryOtpChannel": "email",
"diEnabled": true,
"diCustomerSystem": "string",
"tenantId": 0,
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}Body validation failed, or Kilkaya is enabled without a host and customer id
messageCodestringRequired"badRequest", "kilkayaConfigIncomplete"messagestringerrorsunauthorized
This response has no body.
forbiddenResource
Same fields as Get the current tenant settings (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/tenant-settings \
--request PUT \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"kilkayaEnabled": true,
"kilkayaHost": "string",
"kilkayaCustomerId": "string",
"discardTopicsInPushNotifications": true,
"diEnabled": true,
"diCustomerSystem": "ABC"
}'array of FieldErrorerrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}